Collections

Share collection

Share a specific collection by ID.

post
https://{your-bynder-domain}/api/v4/collections/{id}/share

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000000000000000

Body

application/x-www-form-urlencoded
collectionOptionsstring

Allowed values:readOnlyviewreadAccessedit

Example:view

dateEndstring

Example:2015-08-12T08:07:24Z

dateStartstring

Example:2014-08-12T08:07:24Z

groupsstring

Example:00000000-0000-0000-0000000000000000,00000000-0000-0000-0000000000000000

loginRequiredboolean

Example:true

messagestring

Example:Your message goes here

profilesstring

Example:00000000-0000-0000-0000000000000000,00000000-0000-0000-0000000000000000

recipientsstring

Example:user1@bynder.com,user2@bynder.com

sendMailboolean

Example:true

Response

application/json

Collection shared.

messagestring

Example:accepted

statuscodeinteger

Example:202

post/api/v4/collections/{id}/share

Body

{}
 
application/json

Collections assets

Remove assets from a collection

Remove assets from a specific collection by ID.

delete
https://{your-bynder-domain}/api/v4/collections/{id}/media

Query Parameters

deleteIdsstringrequired

Example:00000000-0000-0000-0000000000000000,00000000-0000-0000-0000000000000000

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000000000000000

Response

No Content

delete/api/v4/collections/{id}/media
 

Retrieve the assets of a specific collection

Retrieve the assets of a specific collection by ID.

get
https://{your-bynder-domain}/api/v4/collections/{id}/media

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000000000000000

Response

application/json

A list of asset IDs.

array[string]
get/api/v4/collections/{id}/media
 
application/json

Add assets to a collection

Add assets to a specific collection by ID.

post
https://{your-bynder-domain}/api/v4/collections/{id}/media

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000000000000000

Body

application/x-www-form-urlencoded
datastring

Example:["00000000-0000-0000-0000000000000000"]

Response

application/json

Assets added to collection.

messagestring

Example:Accepted

statuscodeinteger

Example:202

post/api/v4/collections/{id}/media

Body

{}
 
application/json